Changes

Jump to navigation Jump to search
31 bytes added ,  08:38, 7 March 2016
→‎Simple Installation Instructions: Some minor typo corrections
Line 78: Line 78:     
====Simple Installation Instructions====
 
====Simple Installation Instructions====
Following instructions are made for MacPorts 2.3.4 on Mac OS X 10.11 (El Capitan):
+
Following instructions are made for MacPorts 2.3.4 on Mac OS X 10.11 (El Capitan) in the first place:
    
'''MacPorts Installation'''
 
'''MacPorts Installation'''
 
*Install "Xcode" via the Mac App Store and the "Xcode Command Line Tools" as described at [http://guide.macports.org/#installing.xcode MacPorts' installation instructions].
 
*Install "Xcode" via the Mac App Store and the "Xcode Command Line Tools" as described at [http://guide.macports.org/#installing.xcode MacPorts' installation instructions].
*Install appropriate [https://www.macports.org/install.php MacPorts version] for your OS X version. If you had installed Mac Ports in the past already, update it first by typing {{Codeline|sudo port selfupdate}} and {{Codeline|sudo port upgrade outdated}} in the terminal.
+
*Install the appropriate [https://www.macports.org/install.php MacPorts version] for your OS X version. If you had installed Mac Ports in the past already, update it first by typing {{Codeline|sudo port selfupdate}} and {{Codeline|sudo port upgrade outdated}} in the terminal.
   −
'''Preliminary port installations'''  
+
'''Preliminary Port Installations'''  
*Because of a problem with the "atlas" port - where Octave depends on - it is necessary to build it with the here specified variant prior to the Octave port installation: {{Codeline|sudo port install atlas +gcc5}}. This can last for many hours. Do this overnight. If a prior atlas installation failed, do {{Codeline|sudo port clean atlas}} before reinstallation.
+
*Because of a problem with the "atlas" port - on which Octave depends - it is necessary to build it with the here specified variant prior to the Octave port installation: {{Codeline|sudo port install atlas +gcc5}}. This can last for many hours. Do this overnight. If a prior atlas installation failed, do {{Codeline|sudo port clean atlas}} before reinstallation.
*Octave depends on arpack, too. Unfortunately arpack is installed with the ''accelerate'' variant by default. The ''accelerate'' variant uses Apple's Vector Libraries which have some known bugs that can cause Octave to crash if using certain functions in arpack. To avoid this install arpack with the ''atlas'' instead of the ''accelerate'' variant {{Codeline|sudo port install arpack -accelerate+atlas}}. You can even do this after you installed Octave. The new variant become active by default.
+
*Octave depends on arpack, too. Unfortunately arpack is installed with the ''accelerate'' variant by default. The ''accelerate'' variant uses Apple's Vector Libraries which have some known bugs that can cause Octave to crash if using certain functions in arpack. To avoid this install arpack with the ''atlas'' variant instead of the ''accelerate'' variant {{Codeline|sudo port install arpack -accelerate+atlas}}. You can even do this after you installed Octave. The new variant become active by default.
   −
'''Octave installation'''
+
'''Octave Installation'''
*MacPorts has good support for Octave. A list of what MacPorts has available for Octave is [http://www.macports.org/ports.php?by=name&substr=octave here]. To install the most recent version of Octave, type {{Codeline|sudo port install octave}} or if you want the experimental graphic user interface (GUI) {{Codeline|sudo port install octave +gtgui+gui}} at the Terminal's command line. Octave has many dependencies which will be downloaded and installed prior to Octave. The entire installation process can take some time.
+
*MacPorts has good support for Octave. A list of what MacPorts has available for Octave is [http://www.macports.org/ports.php?by=name&substr=octave here]. To install the most recent version of Octave, type {{Codeline|sudo port install octave}} or if you want the experimental graphic user interface (GUI) {{Codeline|sudo port install octave +qtgui+gui}} at the Terminal's command line. Octave has many dependencies which will be downloaded and installed prior to Octave. The entire installation process can take some time.
 
*Note that {{Codeline|octave-devel}} has been replaced by {{Codeline|octave}}, see [https://trac.macports.org/changeset/114034 MacPorts Revision 114034].
 
*Note that {{Codeline|octave-devel}} has been replaced by {{Codeline|octave}}, see [https://trac.macports.org/changeset/114034 MacPorts Revision 114034].
*The variant installed may be important to the user's experience.  The available variants for  {{Codeline|octave}} are displayed by typing {{Codeline|port variants octave}}.  In MacPorts 2.3.4 the variants ''atlas'', ''gcc5'' and ''glgui'' are installed by default (marked with '+' sign in {{Codeline|port variants octave}} output). If you need Java support add the new Java variant (+java). A installed Java JRE is mandatory. Go To the Oracle [https://www.java.com/ Java website] for Download. The following command works fine: {{Codeline|sudo port install octave +gtgui+gui+java+metis}}
+
*The variant installed may be important to the user's experience.  The available variants for  {{Codeline|octave}} are displayed by typing {{Codeline|port variants octave}}.  In MacPorts 2.3.4 the variants ''atlas'', ''gcc5'' and ''glgui'' are installed by default (marked with '+' sign in {{Codeline|port variants octave}} output). If you need Java support add the new Java variant (+java). A installed Java JRE is mandatory. Go To the Oracle [https://www.java.com/ Java website] for Download. The following command works fine: {{Codeline|sudo port install octave +qtgui+gui+java+metis}}
 
*If Octave crashes when plotting use the Gnuplot graphic toolkit instead of FLTK. Type {{Codeline|graphics_toolkit('gnuplot')}} in Octave before plotting. For using the nicer wxt-terminal of Gnuplot, type {{Codeline|setenv("GNUTERM","wxt")}} in Octave. To make this the standard behavior append both commands in one of Octave's startup files e.g. your {{Codeline|~/.octaverc}}. To close the graphic window of gnuplot use the Octave command {{Codeline|close()}} to get rid of the Gnuplot instance instead of using the close button of the window.
 
*If Octave crashes when plotting use the Gnuplot graphic toolkit instead of FLTK. Type {{Codeline|graphics_toolkit('gnuplot')}} in Octave before plotting. For using the nicer wxt-terminal of Gnuplot, type {{Codeline|setenv("GNUTERM","wxt")}} in Octave. To make this the standard behavior append both commands in one of Octave's startup files e.g. your {{Codeline|~/.octaverc}}. To close the graphic window of gnuplot use the Octave command {{Codeline|close()}} to get rid of the Gnuplot instance instead of using the close button of the window.
  
7

edits

Navigation menu